%def_enable tests

Name: galago-daemon
Version: 0.5.1
Release: alt1

Summary: Galago presence daemon
Group: System/Servers
License: GPL
URL: http://www.galago-project.org/

Packager: Alexey Shabalin <shaba@altlinux.ru>

Source:	http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

%define galago_ver 0.5.2

BuildRequires: libdbus-devel libdbus-glib-devel
%{?_enable_tests:BuildPreReq: check libcheck-devel}
BuildRequires: libgalago-devel >= %galago_ver
BuildRequires: /proc

%description
The Galago presence daemon, which is the center of all presence transactions
for Galago. This service is automatically launched by D-BUS when needed.

%define _libexecdir %_prefix/libexec

%prep
%setup -q

%build
%configure
%make_build

%if_enabled check
%make check
%endif


%install
%make_install DESTDIR=%buildroot install

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%_datadir/dbus-1/services/*.service
%config %_sysconfdir/dbus-1/system.d/*.conf
%_libexecdir/galago-daemon

%changelog
* Wed Oct 08 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Dec 27 2006 Igor Zubkov <icesik@altlinux.org> 0.5.0-alt1.1
- rebuild with new dbus

* Tue Jun 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.0-alt1
- Updated to 0.5.0

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.3.4-alt1
- initial build
